Summary:	Mail filtering utility
Name:		imapfilter
Version:	2.0.3
Release: 	%mkrel 4
License:	MIT
Group:		Networking/Mail
URL:		http://imapfilter.hellug.gr/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%{name}-buildroot
Buildrequires:	openssl-devel  pcre-devel
Buildrequires:	liblua-devel >= 5

%description
IMAPFilter is a mail filtering utility. It connects to remote mail servers
using the Internet Message Access Protocol (IMAP). Based on the user defined
filters it checks messages residing on a remote IMAP mailbox and processes
them in various ways.

One can execute imapfilter before:
  * fetching of mail locally
  * accessing a mailbox using one of the available Mail User Agents (MUA)
  * browsing a mailbox via the Web
...in order to "clear" a mailbox and avoid downloading/seeing some specific
mails, copy and/or move messages between folders, etc.


%prep
%setup -q


%build
./configure -d %{_prefix} -b %{_bindir} -s %{_datadir}/imapfilter -m %{_mandir}
%make MYCFLAGS="-Wall %{optflags}"


%install
rm -rf %buildroot
%makeinstall_std BINDIR=%{buildroot}/%{_bindir}\
	SHAREDIR=%{buildroot}/%{_datadir}/imapfilter\
	MANDIR=%{buildroot}/%{_mandir}


%clean
rm -rf %buildroot


%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc LICENSE NEWS README sample.config.lua sample.extend.lua
%_mandir/*/*
%_datadir/imapfilter


%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.3-4mdv2009.0
+ Revision: 247213
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.3-2mdv2008.1
+ Revision: 170896
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 27 2007 Michael Scherer <misc@mandriva.org> 2.0.3-1mdv2008.0
+ Revision: 56342
- upgrade to 2.0.3
- Import imapfilter




* Sun Aug 06 2006 Michael Reinsch <mreinsch@mandriva.org> 1.2.2-1mdv2007.0
- 1.2.2

* Thu Jun 01 2006 Lenny Cartier <lenny@mandriva.com> 1.2.1-2mdv2007.0
- rebuild

* Sun May 12 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.1-1mdk
- 1.2.1

* Mon Mar 20 2006 Michael Scherer <misc@mandriva.org> 1.0.1-3mdk
- Rebuild for new openssl
- use mkrel

* Thu Oct 06 2005 Michael Scherer <misc@mandriva.org> 1.0.1-2mdk
- rebuild for new liblua

* Wed Oct 27 2004 Michael Reinsch <mr@uue.org> 1.0.1-1mdk
- 1.0.1

* Sun Jun 13 2004 Michael Reinsch <mr@uue.org> 1.0-1mdk
- 1.0

* Wed Mar 24 2004 Michael Reinsch <mr@uue.org> 0.9.6-1mdk
- patch to correct time sent to imap server
- initial spec file for mandrake
